
QGIS Application - Bug report #18368

QGIS 3 crashes when saving 

2018-03-07 09:47 AM - Matthias G

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26258

Description

I have a line shapefile with around 5000 lines, marked around 4000 and wanted to save with "Save only selected features", add saved file

to map activated. First I assumed that it was maybe due to a quite long path but also with having it on the desktop, it would still crash.

Original layer has CRS 4326, desired CRS is 25832.

The whole process is not problem in QGIS 2.18.16

I had to clip the shapefile for it being below 5MB

Beside that, QGIS3 looks very good so far, thanks for that :-)

User Feedback

Report Details

Crash ID: 5f1716881912d8ff2fbd80b867c4bcfbaaa22787

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::createGeosLinestring :

QgsGeos::asGeos :

QgsGeos::asGeos :

QgsGeos::relation :

QgsVectorFileWriter::writeAsVectorFormat :

QgsVectorFileWriterTask::run :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299
History

#1 - 2018-03-07 09:57 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from Unknown to Vectors

#2 - 2018-03-07 10:32 AM - Matthias G

After I used QGIS 2.18.16 to extract the desired lines, I loaded the shapefile in QGIS3.0. When using the "Merge Lines"-tool, QGIS crashed again.

User Feedback

Report Details

Crash ID: ac5c627a84c1d6ce1ae411eff6c2d78f9460de9a

Stack Trace

QgsProcessingAlgorithmDialogBase::qt_metacast :

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::createGeosLinestring :

QgsGeos::asGeos :

QgsGeos::asGeos :

QgsGeos::cacheGeos :

QgsGeos::QgsGeos :

QgsGeometry::mergeLines :

Vector3D::standardise :

QgsProcessingFeatureBasedAlgorithm::processAlgorithm :

QgsProcessingAlgorithm::runPrepared :

QgsProcessingAlgRunnerTask::run :

PyInit__core :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

#3 - 2018-03-07 11:47 PM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot confirm (both issues, the second should anyway be filed in its own ticket).

#4 - 2018-08-16 10:31 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
Closing for lack of feedback.

Files

ErrorLayer.prj 143 Bytes 2018-03-07 Matthias G

ErrorLayer.qpj 257 Bytes 2018-03-07 Matthias G

ErrorLayer.shp 185 KB 2018-03-07 Matthias G

ErrorLayer.shx 16.9 KB 2018-03-07 Matthias G

ErrorLayer.dbf 3.83 MB 2018-03-07 Matthias G
